package cn.dankal.test.common;

import com.nepxion.discovery.plugin.framework.adapter.PluginAdapter;
import org.springframework.stereotype.Component;

/**
 * {@link Component}
 * 公共工具类
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020-10-11
 * @copyright www.dankal.cn
 */
@Component
public class CommonUtil {

    /**
     * PluginAdapter
     *
     * @see PluginAdapter
     */
    private final PluginAdapter pluginAdapter;

    public CommonUtil(PluginAdapter pluginAdapter) {
        this.pluginAdapter = pluginAdapter;
    }

    /**
     * 获取 当前微服务信息
     *
     * @param value 前置数据
     * @return 拼接好数据前置数据的微服务信息
     */
    public String getPluginInfo(String value) {
        return pluginAdapter.getPluginInfo(value);
    }

    /**
     * @param prefix     前置内容
     * @param versionTag 包含版本信息 的 tag信息
     * @return 拼接后的版本端点信息
     */
    public String getSimpleTag(String prefix, String versionTag) {
        return prefix + " -> [ operate by" + versionTag + " ]";
    }
}
