package cn.dankal.test.service.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * {@link FeignClient}
 * Feign Client ->  test-b Service
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020-10-11
 * @copyright www.dankal.cn
 */
@FeignClient(value = "test-service-b")
public interface TestBClientV1 {

    /**
     * 远程调用 B 服务 V1.0.0
     *
     * @param value 服务信息
     * @return 服务信息
     * @since V1.0.0
     *
     */
    @GetMapping(path = "/test/info/{value}")
    String info(@PathVariable(value = "value") String value);

    /**
     * 远程调用 B 服务 V1.0.0
     *
     * @param value 前置信息
     * @return 版本标记信息
     * @since V1.0.0
     */
    @GetMapping(path = "/test/simple/{value}")
    String simple(@PathVariable(value = "value") String value);

}
