package cn.dankal.test.service;


import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * {@link EnableFeignClients,EnableDiscoveryClient,SpringBootApplication}
 * Test Service B 启动类 V1
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/10/11
 * @copyright www.dankal.cn
 */
@EnableFeignClients
@EnableDiscoveryClient
@SpringBootApplication(scanBasePackages = {"cn.dankal.test"})
public class TestServiceBApplication2V1 {

    public static void main(String[] args) {
        new SpringApplicationBuilder(TestServiceBApplication2V1.class).run(args);
    }

}