package cn.dankal.test.service.controller;

import cn.dankal.test.common.CommonUtil;
import cn.dankal.test.service.client.TestBClientV2;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

/**
 * {@link RestController}
 * TestAController V2
 *
 * @author ZGH.MercyModest
 * @version V2.0.0
 * @create 2020-10-11
 * @copyright www.dankal.cn
 */
@RestController
public class TestAControllerV2 {

    /**
     * B Service Client V2
     */
    private final TestBClientV2 bClientV2;

    /**
     * CommonUtil
     */
    private final CommonUtil commonUtil;

    public TestAControllerV2(TestBClientV2 bClientV2, CommonUtil commonUtil) {
        this.bClientV2 = bClientV2;
        this.commonUtil = commonUtil;
    }

    @GetMapping("/test/info/{value}")
    public String info(@PathVariable(value = "value") String value) {
        value = commonUtil.getPluginInfo(value);
        return bClientV2.info(value);
    }

    @GetMapping("/test/simple/{value}")
    public String simple(@PathVariable("value") String value) {
        String versionTag = "service a V2";
        value = commonUtil.getSimpleTag(value, versionTag);
        return bClientV2.simple(value);
    }
}
